// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.12.4
// source: sei-client/model/sign-info.proto

package model

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SignInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filled         int32  `protobuf:"varint,1,opt,name=filled,proto3" json:"filled,omitempty"`
	Issuer         string `protobuf:"bytes,2,opt,name=issuer,proto3" json:"issuer,omitempty"`
	IssuerCN       string `protobuf:"bytes,3,opt,name=issuerCN,proto3" json:"issuerCN,omitempty"`
	Serial         string `protobuf:"bytes,4,opt,name=serial,proto3" json:"serial,omitempty"`
	Subject        string `protobuf:"bytes,5,opt,name=subject,proto3" json:"subject,omitempty"`
	SubjCN         string `protobuf:"bytes,6,opt,name=subjCN,proto3" json:"subjCN,omitempty"`
	SubjOrg        string `protobuf:"bytes,7,opt,name=subjOrg,proto3" json:"subjOrg,omitempty"`
	SubjOrgUnit    string `protobuf:"bytes,8,opt,name=subjOrgUnit,proto3" json:"subjOrgUnit,omitempty"`
	SubjTitle      string `protobuf:"bytes,9,opt,name=subjTitle,proto3" json:"subjTitle,omitempty"`
	SubjState      string `protobuf:"bytes,10,opt,name=subjState,proto3" json:"subjState,omitempty"`
	SubjLocality   string `protobuf:"bytes,11,opt,name=subjLocality,proto3" json:"subjLocality,omitempty"`
	SubjFullName   string `protobuf:"bytes,12,opt,name=subjFullName,proto3" json:"subjFullName,omitempty"`
	SubjAddress    string `protobuf:"bytes,13,opt,name=subjAddress,proto3" json:"subjAddress,omitempty"`
	SubjPhone      string `protobuf:"bytes,14,opt,name=subjPhone,proto3" json:"subjPhone,omitempty"`
	SubjEMail      string `protobuf:"bytes,15,opt,name=subjEMail,proto3" json:"subjEMail,omitempty"`
	SubjDNS        string `protobuf:"bytes,16,opt,name=subjDNS,proto3" json:"subjDNS,omitempty"`
	SubjEDRPOUCode string `protobuf:"bytes,17,opt,name=subjEDRPOUCode,proto3" json:"subjEDRPOUCode,omitempty"`
	SubjDRFOCode   string `protobuf:"bytes,18,opt,name=subjDRFOCode,proto3" json:"subjDRFOCode,omitempty"`
	TimeAvail      int32  `protobuf:"varint,19,opt,name=timeAvail,proto3" json:"timeAvail,omitempty"`
	TimeStamp      int32  `protobuf:"varint,20,opt,name=timeStamp,proto3" json:"timeStamp,omitempty"`
	Time           int64  `protobuf:"varint,21,opt,name=time,proto3" json:"time,omitempty"`
	FileId         string `protobuf:"bytes,100,opt,name=fileId,proto3" json:"fileId,omitempty"`
	Error          string `protobuf:"bytes,101,opt,name=error,proto3" json:"error,omitempty"`
	Id             int64  `protobuf:"varint,102,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *SignInfo) Reset() {
	*x = SignInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sei_client_model_sign_info_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SignInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SignInfo) ProtoMessage() {}

func (x *SignInfo) ProtoReflect() protoreflect.Message {
	mi := &file_sei_client_model_sign_info_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SignInfo.ProtoReflect.Descriptor instead.
func (*SignInfo) Descriptor() ([]byte, []int) {
	return file_sei_client_model_sign_info_proto_rawDescGZIP(), []int{0}
}

func (x *SignInfo) GetFilled() int32 {
	if x != nil {
		return x.Filled
	}
	return 0
}

func (x *SignInfo) GetIssuer() string {
	if x != nil {
		return x.Issuer
	}
	return ""
}

func (x *SignInfo) GetIssuerCN() string {
	if x != nil {
		return x.IssuerCN
	}
	return ""
}

func (x *SignInfo) GetSerial() string {
	if x != nil {
		return x.Serial
	}
	return ""
}

func (x *SignInfo) GetSubject() string {
	if x != nil {
		return x.Subject
	}
	return ""
}

func (x *SignInfo) GetSubjCN() string {
	if x != nil {
		return x.SubjCN
	}
	return ""
}

func (x *SignInfo) GetSubjOrg() string {
	if x != nil {
		return x.SubjOrg
	}
	return ""
}

func (x *SignInfo) GetSubjOrgUnit() string {
	if x != nil {
		return x.SubjOrgUnit
	}
	return ""
}

func (x *SignInfo) GetSubjTitle() string {
	if x != nil {
		return x.SubjTitle
	}
	return ""
}

func (x *SignInfo) GetSubjState() string {
	if x != nil {
		return x.SubjState
	}
	return ""
}

func (x *SignInfo) GetSubjLocality() string {
	if x != nil {
		return x.SubjLocality
	}
	return ""
}

func (x *SignInfo) GetSubjFullName() string {
	if x != nil {
		return x.SubjFullName
	}
	return ""
}

func (x *SignInfo) GetSubjAddress() string {
	if x != nil {
		return x.SubjAddress
	}
	return ""
}

func (x *SignInfo) GetSubjPhone() string {
	if x != nil {
		return x.SubjPhone
	}
	return ""
}

func (x *SignInfo) GetSubjEMail() string {
	if x != nil {
		return x.SubjEMail
	}
	return ""
}

func (x *SignInfo) GetSubjDNS() string {
	if x != nil {
		return x.SubjDNS
	}
	return ""
}

func (x *SignInfo) GetSubjEDRPOUCode() string {
	if x != nil {
		return x.SubjEDRPOUCode
	}
	return ""
}

func (x *SignInfo) GetSubjDRFOCode() string {
	if x != nil {
		return x.SubjDRFOCode
	}
	return ""
}

func (x *SignInfo) GetTimeAvail() int32 {
	if x != nil {
		return x.TimeAvail
	}
	return 0
}

func (x *SignInfo) GetTimeStamp() int32 {
	if x != nil {
		return x.TimeStamp
	}
	return 0
}

func (x *SignInfo) GetTime() int64 {
	if x != nil {
		return x.Time
	}
	return 0
}

func (x *SignInfo) GetFileId() string {
	if x != nil {
		return x.FileId
	}
	return ""
}

func (x *SignInfo) GetError() string {
	if x != nil {
		return x.Error
	}
	return ""
}

func (x *SignInfo) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

var File_sei_client_model_sign_info_proto protoreflect.FileDescriptor

var file_sei_client_model_sign_info_proto_rawDesc = []byte{
	0x0a, 0x20, 0x73, 0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x6d, 0x6f, 0x64,
	0x65, 0x6c, 0x2f, 0x73, 0x69, 0x67, 0x6e, 0x2d, 0x69, 0x6e, 0x66, 0x6f, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x0a, 0x73, 0x65, 0x69, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x22, 0xb2,
	0x05, 0x0a, 0x08, 0x53, 0x69, 0x67, 0x6e, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x16, 0x0a, 0x06, 0x66,
	0x69, 0x6c, 0x6c, 0x65, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x06, 0x66, 0x69, 0x6c,
	0x6c, 0x65, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x69, 0x73, 0x73, 0x75, 0x65, 0x72, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x69, 0x73, 0x73, 0x75, 0x65, 0x72, 0x12, 0x1a, 0x0a, 0x08, 0x69,
	0x73, 0x73, 0x75, 0x65, 0x72, 0x43, 0x4e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x69,
	0x73, 0x73, 0x75, 0x65, 0x72, 0x43, 0x4e, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x65, 0x72, 0x69, 0x61,
	0x6c, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x12,
	0x18, 0x0a, 0x07, 0x73, 0x75, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x73, 0x75, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x75, 0x62,
	0x6a, 0x43, 0x4e, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x73, 0x75, 0x62, 0x6a, 0x43,
	0x4e, 0x12, 0x18, 0x0a, 0x07, 0x73, 0x75, 0x62, 0x6a, 0x4f, 0x72, 0x67, 0x18, 0x07, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x07, 0x73, 0x75, 0x62, 0x6a, 0x4f, 0x72, 0x67, 0x12, 0x20, 0x0a, 0x0b, 0x73,
	0x75, 0x62, 0x6a, 0x4f, 0x72, 0x67, 0x55, 0x6e, 0x69, 0x74, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0b, 0x73, 0x75, 0x62, 0x6a, 0x4f, 0x72, 0x67, 0x55, 0x6e, 0x69, 0x74, 0x12, 0x1c, 0x0a,
	0x09, 0x73, 0x75, 0x62, 0x6a, 0x54, 0x69, 0x74, 0x6c, 0x65, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x09, 0x73, 0x75, 0x62, 0x6a, 0x54, 0x69, 0x74, 0x6c, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x73,
	0x75, 0x62, 0x6a, 0x53, 0x74, 0x61, 0x74, 0x65, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09,
	0x73, 0x75, 0x62, 0x6a, 0x53, 0x74, 0x61, 0x74, 0x65, 0x12, 0x22, 0x0a, 0x0c, 0x73, 0x75, 0x62,
	0x6a, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0c, 0x73, 0x75, 0x62, 0x6a, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x12, 0x22, 0x0a,
	0x0c, 0x73, 0x75, 0x62, 0x6a, 0x46, 0x75, 0x6c, 0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x0c, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0c, 0x73, 0x75, 0x62, 0x6a, 0x46, 0x75, 0x6c, 0x6c, 0x4e, 0x61, 0x6d,
	0x65, 0x12, 0x20, 0x0a, 0x0b, 0x73, 0x75, 0x62, 0x6a, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73,
	0x18, 0x0d, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x73, 0x75, 0x62, 0x6a, 0x41, 0x64, 0x64, 0x72,
	0x65, 0x73, 0x73, 0x12, 0x1c, 0x0a, 0x09, 0x73, 0x75, 0x62, 0x6a, 0x50, 0x68, 0x6f, 0x6e, 0x65,
	0x18, 0x0e, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x73, 0x75, 0x62, 0x6a, 0x50, 0x68, 0x6f, 0x6e,
	0x65, 0x12, 0x1c, 0x0a, 0x09, 0x73, 0x75, 0x62, 0x6a, 0x45, 0x4d, 0x61, 0x69, 0x6c, 0x18, 0x0f,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x73, 0x75, 0x62, 0x6a, 0x45, 0x4d, 0x61, 0x69, 0x6c, 0x12,
	0x18, 0x0a, 0x07, 0x73, 0x75, 0x62, 0x6a, 0x44, 0x4e, 0x53, 0x18, 0x10, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x73, 0x75, 0x62, 0x6a, 0x44, 0x4e, 0x53, 0x12, 0x26, 0x0a, 0x0e, 0x73, 0x75, 0x62,
	0x6a, 0x45, 0x44, 0x52, 0x50, 0x4f, 0x55, 0x43, 0x6f, 0x64, 0x65, 0x18, 0x11, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0e, 0x73, 0x75, 0x62, 0x6a, 0x45, 0x44, 0x52, 0x50, 0x4f, 0x55, 0x43, 0x6f, 0x64,
	0x65, 0x12, 0x22, 0x0a, 0x0c, 0x73, 0x75, 0x62, 0x6a, 0x44, 0x52, 0x46, 0x4f, 0x43, 0x6f, 0x64,
	0x65, 0x18, 0x12, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x73, 0x75, 0x62, 0x6a, 0x44, 0x52, 0x46,
	0x4f, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x41, 0x76, 0x61,
	0x69, 0x6c, 0x18, 0x13, 0x20, 0x01, 0x28, 0x05, 0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x41, 0x76,
	0x61, 0x69, 0x6c, 0x12, 0x1c, 0x0a, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x53, 0x74, 0x61, 0x6d, 0x70,
	0x18, 0x14, 0x20, 0x01, 0x28, 0x05, 0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x53, 0x74, 0x61, 0x6d,
	0x70, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x15, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x04, 0x74, 0x69, 0x6d, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x64, 0x18,
	0x64, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x64, 0x12, 0x14, 0x0a,
	0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x18, 0x65, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x72,
	0x72, 0x6f, 0x72, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x66, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x02, 0x69, 0x64, 0x42, 0x80, 0x01, 0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x65, 0x69, 0x2d,
	0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x42, 0x08, 0x53, 0x69,
	0x67, 0x6e, 0x49, 0x6e, 0x66, 0x6f, 0x50, 0x01, 0x5a, 0x3c, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x68, 0x61, 0x64, 0x6f, 0x77, 0x79, 0x2f, 0x73, 0x65, 0x69,
	0x2f, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x2f, 0x67, 0x6f, 0x2d, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x2d,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74,
	0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x0a, 0x73,
	0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0xca, 0x02, 0x0a, 0x73, 0x65, 0x69, 0x2d,
	0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_sei_client_model_sign_info_proto_rawDescOnce sync.Once
	file_sei_client_model_sign_info_proto_rawDescData = file_sei_client_model_sign_info_proto_rawDesc
)

func file_sei_client_model_sign_info_proto_rawDescGZIP() []byte {
	file_sei_client_model_sign_info_proto_rawDescOnce.Do(func() {
		file_sei_client_model_sign_info_proto_rawDescData = protoimpl.X.CompressGZIP(file_sei_client_model_sign_info_proto_rawDescData)
	})
	return file_sei_client_model_sign_info_proto_rawDescData
}

var file_sei_client_model_sign_info_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_sei_client_model_sign_info_proto_goTypes = []interface{}{
	(*SignInfo)(nil), // 0: sei_client.SignInfo
}
var file_sei_client_model_sign_info_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_sei_client_model_sign_info_proto_init() }
func file_sei_client_model_sign_info_proto_init() {
	if File_sei_client_model_sign_info_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_sei_client_model_sign_info_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SignInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_sei_client_model_sign_info_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_sei_client_model_sign_info_proto_goTypes,
		DependencyIndexes: file_sei_client_model_sign_info_proto_depIdxs,
		MessageInfos:      file_sei_client_model_sign_info_proto_msgTypes,
	}.Build()
	File_sei_client_model_sign_info_proto = out.File
	file_sei_client_model_sign_info_proto_rawDesc = nil
	file_sei_client_model_sign_info_proto_goTypes = nil
	file_sei_client_model_sign_info_proto_depIdxs = nil
}
